plugins {
    alias(libs.plugins.android.application)
    alias(libs.plugins.kotlin.compose)
    alias(libs.plugins.compose)
}

android {
    namespace = "ch.dissem.yaep"
    compileSdk = libs.versions.android.compileSdk.get().toInt()

    defaultConfig {
        applicationId = "ch.dissem.yaep"
        minSdk = libs.versions.android.minSdk.get().toInt()
        targetSdk = libs.versions.android.targetSdk.get().toInt()
        versionCode = 1
        versionName = "1.0"
    }

    dependencies {
        implementation(compose.components.resources)
        implementation(compose.runtime)
        implementation(compose.foundation)
        implementation(compose.material3)
        implementation(compose.ui)
        implementation(compose.components.resources)
        implementation(libs.androidx.activity.compose)
//        implementation(libs.compose.ui.text.googlefonts)
        implementation(projects.commonUI)
        implementation(compose.components.uiToolingPreview)

        testImplementation(libs.kotlin.test)
        testImplementation(libs.atrium)
    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_11
        targetCompatibility = JavaVersion.VERSION_11
    }

    buildTypes {
        getByName("release") {
            isMinifyEnabled = false
        }
    }

    packaging {
        resources {
            merges += "/META-INF/{AL2.0,LGPL2.1}"
        }
    }
}
